<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/mainLay"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="?attr/colorPrimary"
        android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar">

        <com.google.android.material.appbar.CollapsingToolbarLayout
            android:id="@+id/collapse_toolbar"
            android:layout_width="match_parent"
            android:layout_height="300dp"
            app:contentScrim="?attr/colorPrimary"
            app:layout_scrollFlags="scroll|exitUntilCollapsed|snap"
            app:titleEnabled="false">

            <ImageView
                android:id="@+id/channelImage"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/divider"
                android:scaleType="centerCrop"
                app:layout_collapseMode="parallax"
                app:layout_collapseParallaxMultiplier="0.75" />

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="15dp"
                android:layout_gravity="bottom"
                android:background="@drawable/profile_curved_white"
                android:visibility="visible" />

            <androidx.appcompat.widget.Toolbar
                android:id="@+id/toolbar"
                android:layout_width="match_parent"
                android:layout_height="?attr/actionBarSize"
                android:layout_gravity="top"
                app:contentInsetLeft="0dp"
                app:contentInsetStart="0dp"
                app:layout_collapseMode="pin"
                app:popupTheme="@style/ThemeOverlay.AppCompat.Light">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:gravity="center_vertical">

                    <ImageView
                        android:id="@+id/btnBack"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:layout_alignParentStart="true"
                        android:layout_centerVertical="true"
                        android:layout_gravity="center_vertical"
                        android:background="?attr/selectableItemBackgroundBorderless"
                        android:padding="10dp"
                        android:src="@drawable/back_arrow" />

                    <ImageView
                        android:id="@+id/btnMenu"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"
                        android:layout_gravity="center_vertical"
                        android:background="?attr/selectableItemBackgroundBorderless"
                        android:padding="10dp"
                        android:src="@drawable/toggle" />

                </RelativeLayout>

            </androidx.appcompat.widget.Toolbar>

        </com.google.android.material.appbar.CollapsingToolbarLayout>

    </com.google.android.material.appbar.AppBarLayout>

    <androidx.core.widget.NestedScrollView
        android:id="@+id/scrollView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_behavior="@string/appbar_scrolling_view_behavior">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginBottom="15dp"
            android:background="@color/white"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <com.topzi.chat.View.SemiBoldTextView
                        android:id="@+id/txtChannelName"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentStart="true"
                        android:layout_centerVertical="true"
                        android:layout_marginEnd="15dp"
                        android:layout_marginStart="15dp"
                        android:text="Demo Channel"
                        android:textColor="@color/primarytext"
                        android:textSize="@dimen/text_header" />

                    <ImageView
                        android:id="@+id/privateImage"
                        android:layout_width="25dp"
                        android:layout_height="25dp"
                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"
                        android:layout_marginEnd="5dp"
                        android:background="@color/white"
                        android:padding="5dp"
                        android:src="@drawable/ic_lock" />

                </RelativeLayout>

                <com.topzi.chat.View.RegularTextView
                    android:id="@+id/txtCreatedAt"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="15dp"
                    android:layout_marginStart="15dp"
                    android:layout_marginTop="3dp"
                    android:gravity="center_vertical"
                    android:maxLines="2"
                    android:singleLine="true"
                    android:text="@string/created_at"
                    android:textColor="@color/secondarytext"
                    android:textSize="@dimen/text_size_medium"
                    android:visibility="visible" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="0.5dp"
                    android:layout_marginBottom="15dp"
                    android:layout_marginTop="15dp"
                    android:background="@color/divider" />

                <com.topzi.chat.View.RegularTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="15dp"
                    android:layout_marginStart="15dp"
                    android:gravity="center_vertical"
                    android:singleLine="true"
                    android:text="@string/about"
                    android:textColor="@color/primarytext"
                    android:textSize="@dimen/text_size_medium"
                    android:visibility="visible" />

                <com.topzi.chat.View.RegularTextView
                    android:id="@+id/txtAbout"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="15dp"
                    android:layout_marginStart="15dp"
                    android:layout_marginTop="3dp"
                    android:gravity="center_vertical"
                    android:maxLength="250"
                    android:text="@string/description"
                    android:textColor="@color/secondarytext"
                    android:textSize="@dimen/text_size_medium"
                    android:visibility="visible" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:layout_marginBottom="15dp"
                android:layout_marginTop="15dp"
                android:background="@color/divider" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/muteLayout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:gravity="center_vertical">

                        <com.topzi.chat.View.RegularTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentStart="true"
                            android:layout_centerVertical="true"
                            android:hint="@string/mobile_number"
                            android:text="@string/mute_notifications"
                            android:textColor="@color/primarytext"
                            android:textSize="@dimen/text_size_large" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/btnMute"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_centerVertical="true"
                            android:layout_marginEnd="5dp"
                            android:background="?attr/selectableItemBackgroundBorderless"
                            android:checked="false"
                            android:layoutDirection="ltr"
                            android:theme="@style/BlueSwitchTheme" />

                    </RelativeLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0.5dp"
                        android:layout_marginBottom="15dp"
                        android:layout_marginTop="15dp"
                        android:background="@color/divider" />

                </LinearLayout>

                <RelativeLayout
                    android:id="@+id/subscribersLayout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="15dp"
                    android:layout_marginStart="15dp"
                    android:gravity="center_vertical"
                    android:orientation="vertical">

                    <com.topzi.chat.View.RegularTextView
                        android:id="@+id/txtParticipants"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentStart="true"
                        android:layout_centerVertical="true"
                        android:singleLine="true"
                        android:text="Subscribers"
                        android:textColor="@color/primarytext"
                        android:textSize="@dimen/text_size_large"
                        android:visibility="visible" />

                    <com.topzi.chat.View.RegularTextView
                        android:id="@+id/txtMembersCount"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"
                        android:singleLine="true"
                        android:text="@string/view_all"
                        android:textColor="@color/secondarytext"
                        android:textSize="@dimen/text_size_small"
                        android:visibility="visible" />

                </RelativeLayout>

            </LinearLayout>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

    <RelativeLayout
        android:id="@+id/imageViewLay"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:clickable="true"
        android:focusable="true"
        app:behavior_hideable="true"
        app:behavior_peekHeight="0dp"
        app:behavior_skipCollapsed="true"
        app:layout_behavior="com.google.android.material.bottomsheet.BottomSheetBehavior">

        <ImageView
            android:id="@+id/imgBg"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/white" />

        <ImageView
            android:id="@+id/imageView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:adjustViewBounds="true"
            android:background="@color/divider" />

        <ImageView
            android:id="@+id/closeBtn"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:padding="15dp"
            android:src="@drawable/cancel"
            app:tint="@color/primarytext" />
    </RelativeLayout>

</androidx.coordinatorlayout.widget.CoordinatorLayout>